Summary: Compress-Zlib - Interface to zlib compression library
Name: perl-Compress-Zlib
Version: 1.33
Release: 1AX
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Compress-Zlib-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: %{name}

%description
The Compress::Zlib module provides a Perl interface to the zlib compression library (see "AUTHOR" for details about where to get zlib). Most of the functionality provided by zlib is available in Compress::Zlib.

The module can be split into two general areas of functionality, namely in-memory compression/decompression and read/write access to gzip files. Each of these areas will be discussed separately below.

%prep
%setup -q -n Compress-Zlib-%{version}

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=${RPM_BUILD_ROOT}/usr INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Compress-Zlib-%{version}-filelist
if [ "$(cat Compress-Zlib-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Compress-Zlib-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Fri Apr 30 2004 Hideo Takeuchi <takeuchi@miraclelinux.com>
  - rebuild for Asianux 1.0


